From 30d6ed7aefb50dfcbd77275d82be25e56d531801 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=B6ren=20Tempel?= <soeren+git@soeren-tempel.net>
Date: Wed, 7 Jun 2023 02:14:23 +0200
Subject: [PATCH] misc/cgo/test: enable Test9400 on Alpine Linux again

The underlying issue has been fixed in musl.
---
 src/cmd/cgo/internal/test/cgo_linux_test.go | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/src/cmd/cgo/internal/test/cgo_linux_test.go b/src/cmd/cgo/internal/test/cgo_linux_test.go
index 3a1cf98c2a..4dafc82385 100644
--- a/src/cmd/cgo/internal/test/cgo_linux_test.go
+++ b/src/cmd/cgo/internal/test/cgo_linux_test.go
@@ -34,9 +34,13 @@ func Test1435(t *testing.T) { test1435(t) }
 func Test6997(t *testing.T) { test6997(t) }
 
 func Test9400(t *testing.T) {
-	if _, err := os.Stat("/etc/alpine-release"); err == nil {
-		t.Skip("setgid is broken with musl libc - go.dev/issue/39857")
-	}
+	// Since musl 1.2.4 these tests should no longer fail on Alpine.
+	//
+	// See https://github.com/golang/go/issues/39857#issuecomment-1305876934
+	// if _, err := os.Stat("/etc/alpine-release"); err == nil {
+	// 	t.Skip("setgid is broken with musl libc - go.dev/issue/39857")
+	// }
+
 	test9400(t)
 }
 
